// ------------------------------------token的本地存储------------------------------------
// 用户 Token 的本地缓存键名，自己定义
const TOKEN_KEY = 'QING_DAO_PI_JIU_GOODS_HOUTAI_USETINFO'

/**
 * 从本地缓存中获取 用户 信息
 */
export const getTokenInfo = (): any => {
  return JSON.parse(localStorage.getItem(TOKEN_KEY) || '{}')
}

/**
 * 将 用户 信息存入缓存
 * @param {Object} tokenInfo 从后端获取到的 Token 信息
 */
export const setTokenInfo = (tokenInfo: any): void => {
  localStorage.setItem(TOKEN_KEY, JSON.stringify(tokenInfo))
}

/**
 * 删除本地缓存中的 用户 信息
 */
export const removeTokenInfo = (): void => {
  localStorage.removeItem(TOKEN_KEY)
}

/**
 * 判断本地缓存中是否存在 Token 信息
 */
export const hasToken = (): boolean => {
  return Boolean(getTokenInfo().token)
}

/**
 * 获取本地缓存中是否存在 Token 信息
 */
export const getTokenFu = (): string => {
  return getTokenInfo().token
}

// // --------------------工作台-常用功能存储
// const CHANG_KEY = 'QING_DAO_PI_JIU_GOODS_HT_CHANG_ARR'

// // 存
// export const changSetFu = (info: RouterTypeRow): void => {
//   const oldArr = changGetFu()

//   let newArr: RouterTypeRow[] = []

//   // 已经存在了
//   const oldIds = oldArr.map(v => v.id)
//   if (oldIds.includes(info.id)) newArr = oldArr
//   else {
//     if (oldArr.length <= 2) newArr = [...oldArr, info]
//     else newArr = [...oldArr.slice(-2), info]
//   }

//   localStorage.setItem(CHANG_KEY, JSON.stringify(newArr))
// }
// // 取
// export const changGetFu = (): RouterTypeRow[] => {
//   return JSON.parse(localStorage.getItem(CHANG_KEY) || '[]')
// }

// ------------------藏品详情id，回跳需要
const GOODPAGE_KEY = 'QING_DAO_PI_JIU_GOODPAGE_KEY'

// 存
export const infoPageIDSet = (id: number) => {
  localStorage.setItem(GOODPAGE_KEY, id + '')
}

// 取
export const infoPageIDGet = () => {
  let res = 0
  let txt = localStorage.getItem(GOODPAGE_KEY) || ''
  if (txt) res = Number(txt)
  return res
}
